## siridb-server 2.0.34

=== itest/requirements.txt ===
siridb-connector
psutil

## siridb-server 2.0.25

=== debian/changelog ===
siridb-server (2.0.25-1) unstable; urgency=medium

  * Initial release. (Closes: #882678)

 -- Paul Gevers <elbrus@debian.org>  Mon, 04 Dec 2017 21:40:02 +0100

=== debian/control ===
Source: siridb-server
Section: database
Priority: optional
Maintainer: SiriDB Maintainers <siridb-server@packages.debian.org>
Uploaders:
 Jeroen van der Heijden <jeroen@transceptor.technology>,
 Paul Gevers <elbrus@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper (>= 10.10.7~),
 libcleri-dev,
 libpcre2-dev,
 libpcre3-dev,
 libuv1-dev,
 uuid-dev,
Homepage: http://siridb.net/
Vcs-Browser: https://github.com/paulgevers/siridb-server/tree/debian-packaging
Standards-Version: 4.1.2

Package: siridb-server
Architecture: any
Depends:
 ucf,
 ${misc:Depends},
 ${shlibs:Depends},
Description: SiriDB time series database server
 SiriDB is a scalable, robust and fast time series database. Build from the
 ground up SiriDB uses a mechanism to operate without a global index and allows
 server resources to be added on the fly. SiriDB's query language includes
 dynamic grouping of time series for easy analysis over large amounts of time
 series.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) --directory=Release

override_dh_auto_clean:
	$(MAKE) --directory=Release clean
	dh_auto_clean

## siridb-server 2.0.26

=== debian/changelog ===
siridb-server (2.0.26-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches
  * Add man page

 -- Paul Gevers <elbrus@debian.org>  Sat, 06 Jan 2018 07:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Paul Gevers <elbrus@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 10.10.7~),
+ debhelper (>= 11~),
+ help2man,
  libcleri-dev,
  libpcre2-dev,
- libpcre3-dev,
  libuv1-dev,
  uuid-dev,
 Homepage: http://siridb.net/
 Vcs-Browser: https://github.com/paulgevers/siridb-server/tree/debian-packaging
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 
 Package: siridb-server
 Architecture: any

## siridb-server 2.0.27

=== debian/changelog ===
siridb-server (2.0.27-1) unstable; urgency=medium

  * New upstream release
  * Update Maintainer and Vcs fields (Closes: #890700)

 -- Paul Gevers <elbrus@debian.org>  Mon, 28 May 2018 10:22:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: siridb-server
 Section: database
 Priority: optional
-Maintainer: SiriDB Maintainers <siridb-server@packages.debian.org>
+Maintainer: SiriDB Maintainers <team+debian-siridb-packaging-team@tracker.debian.org>
 Uploaders:
  Jeroen van der Heijden <jeroen@transceptor.technology>,
  Paul Gevers <elbrus@debian.org>,
@@ -14,7 +14,8 @@
  libuv1-dev,
  uuid-dev,
 Homepage: http://siridb.net/
-Vcs-Browser: https://github.com/paulgevers/siridb-server/tree/debian-packaging
+Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
+Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git
 Standards-Version: 4.1.3
 
 Package: siridb-server

## siridb-server 2.0.28

=== debian/changelog ===
siridb-server (2.0.28-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Mon, 02 Jul 2018 14:00:34 +0200

## siridb-server 2.0.29

=== debian/changelog ===
siridb-server (2.0.29-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Wed, 25 Jul 2018 21:57:12 +0200

## siridb-server 2.0.30

=== debian/changelog ===
siridb-server (2.0.30-1) unstable; urgency=medium

  [ Jeroen van der Heijden ]
  * New upstream release
    - SiriDB Server can now compile with gnu89/gnu90 (#101)
    - Removed deprecated info- and loaddb requests
    - Added named pipe support (#104, @pavelxdd)
    - Changed writing buffer length to reduce random io
    - Added option to fsync the buffer on a configurable interval
    - Use posix_fadvise() on the buffer file (@Svedrin)
    - The buffer size can now be adjusted by using the database.conf
      configuration file
    - Added conversion of invalid value types
  * Lower log level of the service file

  [ Paul Gevers ]
  * Run testsuite during build

 -- Paul Gevers <elbrus@debian.org>  Sun, 28 Oct 2018 18:43:45 +0100

## siridb-server 2.0.32

=== debian/changelog ===
siridb-server (2.0.32-1) unstable; urgency=medium

  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Wed, 23 Jan 2019 20:06:04 +0100

## siridb-server 2.0.34

=== debian/changelog ===
siridb-server (2.0.34-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright

 -- Paul Gevers <elbrus@debian.org>  Wed, 24 Jul 2019 14:58:21 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libpcre2-dev,
  libuv1-dev,
  uuid-dev,
-Homepage: http://siridb.net/
+Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,13 @@
 
 override_dh_auto_build-arch:
 	$(MAKE) --directory=Release
+	help2man -N -n"time series database server" Release/siridb-server > Release/siridb-server.1
 
 override_dh_auto_clean:
 	$(MAKE) --directory=Release clean
 	dh_auto_clean
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) --directory=Release test
+endif

## siridb-server 2.0.36

=== itest/requirements.txt ===
siridb-connector
psutil
requests

=== debian/changelog ===
siridb-server (2.0.36-1) unstable; urgency=medium

  * New upstream release
    - Fixed headers (Closes: #933220)
  * Add new B-D: libyajl-dev

 -- Paul Gevers <elbrus@debian.org>  Sun, 17 May 2020 16:02:21 +0200

## siridb-server 2.0.37

=== debian/changelog ===
siridb-server (2.0.37-1) unstable; urgency=medium

  * New upstream release
    - Fix FTBFS with GCC-10 (Closes: #957800)

 -- Paul Gevers <elbrus@debian.org>  Mon, 27 Jul 2020 07:38:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
  Paul Gevers <elbrus@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  help2man,
  libcleri-dev,
  libpcre2-dev,
  libuv1-dev,
+ libyajl-dev,
  uuid-dev,
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 
 Package: siridb-server
 Architecture: any

## siridb-server 2.0.40

=== debian/changelog ===
siridb-server (2.0.40-1) unstable; urgency=medium

  * New upstream release
    - Drop patches (applied upstream)

 -- Paul Gevers <elbrus@debian.org>  Sun, 18 Oct 2020 20:47:25 +0200

siridb-server (2.0.38-3) unstable; urgency=medium

  * Drop valgrind check on mips*el for now

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Sep 2020 21:30:15 +0200

siridb-server (2.0.38-2) unstable; urgency=medium

  * Only add valgrind as Build-Depends where it exists
  * Add patches to fix issues found by valgrind on mips*el

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Sep 2020 21:24:55 +0200

siridb-server (2.0.38-1) unstable; urgency=medium

  [ Paul Gevers ]
  * New upstream release
  * Add simple (but not superficial) autopkgtest

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Paul Gevers <elbrus@debian.org>  Thu, 10 Sep 2020 09:55:01 +0200

## siridb-server 2.0.42

=== debian/changelog ===
siridb-server (2.0.42-1) unstable; urgency=medium

  New upstream release

 -- Paul Gevers <elbrus@debian.org>  Sun, 03 Jan 2021 21:54:23 +0100

## siridb-server 2.0.43

=== debian/changelog ===
siridb-server (2.0.43-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #982363)

  [ Paul Gevers ]
  * New upstream release

 -- Paul Gevers <elbrus@debian.org>  Fri, 19 Feb 2021 20:37:54 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libuv1-dev,
  libyajl-dev,
  uuid-dev,
+ valgrind [amd64 arm64 armhf i386 powerpc ppc64 ppc64el s390x] <!nocheck>
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_build-arch:
-	$(MAKE) --directory=Release
+	dh_auto_build --sourcedirectory=Release
 	help2man -N -n"time series database server" Release/siridb-server > Release/siridb-server.1
 
 override_dh_auto_clean:

## siridb-server 2.0.44

=== debian/changelog ===
siridb-server (2.0.44-1) unstable; urgency=medium

  [ Paul Gevers ]
  * New upstream release
  * Drop patch, applied upstream

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Paul Gevers <elbrus@debian.org>  Sun, 02 Jan 2022 17:40:53 +0100

## siridb-server 2.0.45

=== debian/changelog ===
siridb-server (2.0.45-1) unstable; urgency=medium

  [ Ileana Dumitrescu ]
  * Non-maintainer upload
  * New upstream release
  * Added latomic patch to port for riscv (Closes: #983768)

 -- Ileana Dumitrescu <ileanadumi95@protonmail.com>  Mon, 07 Feb 2022 16:09:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 
 Package: siridb-server
 Architecture: any

=== debian/tests/control ===
Tests: http-api
Depends: @, curl
Restrictions: needs-root, isolation-container

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%siridb-server-$1.tar.gz%" \
  https://github.com/transceptor-technology/siridb-server/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## siridb-server 2.0.48

=== debian/changelog ===
siridb-server (2.0.48-1build1) lunar; urgency=medium

  * No-change rebuild to attempt libcleri migration.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 08 Feb 2023 10:40:56 -0500

siridb-server (2.0.48-1) unstable; urgency=medium

  [ Paul Gevers ]
  * New upstream release

  [ Nick Rosbrook ]
  * Add patch to prevent segfault with libuv1 1.44.2 (Closes: #1017748)

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Aug 2022 21:06:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: SiriDB Maintainers <team+debian-siridb-packaging-team@tracker.debian.org>
 Uploaders:
- Jeroen van der Heijden <jeroen@transceptor.technology>,
+ Jeroen van der Heijden <jeroen@cesbit.com>,
  Paul Gevers <elbrus@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%siridb-server-$1.tar.gz%" \
  https://github.com/SiriDB/siridb-server/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## siridb-server 2.0.51

=== debian/changelog ===
siridb-server (2.0.51-3) unstable; urgency=medium

  * tests: add --retry to first curl to avoid failing if siridb-server
    isn't ready yet (Closes: #1067705)

 -- Paul Gevers <elbrus@debian.org>  Thu, 23 May 2024 22:34:09 +0200

siridb-server (2.0.51-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.1, no changes needed.

  [ Paul Gevers ]
  * Add tzdata to Build-Depends (Closes: #1027381)

 -- Paul Gevers <elbrus@debian.org>  Mon, 30 Oct 2023 20:29:46 +0100

siridb-server (2.0.51-1) unstable; urgency=medium

  * New upstream release
    - Drop libuv1 patch, solved differently upstream
  * watch: update to use github API

 -- Paul Gevers <elbrus@debian.org>  Sat, 28 Oct 2023 23:12:25 +0200

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,13 @@
  libpcre2-dev,
  libuv1-dev,
  libyajl-dev,
+ tzdata <!nocheck>,
  uuid-dev,
  valgrind [amd64 arm64 armhf i386 powerpc ppc64 ppc64el s390x] <!nocheck>
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 
 Package: siridb-server
 Architecture: any

## siridb-server 2.0.52

=== itest/requirements.txt ===
siridb-connector
psutil
requests
pyleri

=== debian/changelog ===
siridb-server (2.0.52-1) unstable; urgency=medium

  * New upstream version 2.0.52

 -- Paul Gevers <elbrus@debian.org>  Thu, 26 Sep 2024 18:59:22 +0200

siridb-server (2.0.51-4) unstable; urgency=medium

  * Don't run valgrind tests on armhf until bug 1061496 is fixed
  * tests: give server a bit time to start up (Closes: #1079984)

 -- Paul Gevers <elbrus@debian.org>  Thu, 29 Aug 2024 16:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libyajl-dev,
  tzdata <!nocheck>,
  uuid-dev,
- valgrind [amd64 arm64 armhf i386 powerpc ppc64 ppc64el s390x] <!nocheck>
+ valgrind [amd64 arm64 i386 powerpc ppc64 ppc64el s390x] <!nocheck>
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -latomic
 
 %:
 	dh $@

## siridb-server 2.0.53

=== debian/changelog ===
siridb-server (2.0.53-2) unstable; urgency=medium

  * d/rules: simplifications
  * B-D: drop valgrind on armhf again

 -- Paul Gevers <elbrus@debian.org>  Mon, 17 Nov 2025 21:35:25 +0100

siridb-server (2.0.53-1) unstable; urgency=medium

  * New upstream version 2.0.53
  * Build-Depends: add libcrypt-dev (Closes: #1107003)

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Nov 2025 08:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  debhelper-compat (= 13),
  help2man,
  libcleri-dev,
+ libcrypt-dev,
  libpcre2-dev,
  libuv1-dev,
  libyajl-dev,
  tzdata <!nocheck>,
  uuid-dev,
- valgrind [amd64 arm64 i386 powerpc ppc64 ppc64el s390x] <!nocheck>
+ valgrind-if-available [amd64 arm64 i386 powerpc ppc64 ppc64el riscv64 s390x] <!nocheck>,
 Homepage: https://siridb.net/
 Vcs-Browser: https://salsa.debian.org/siridb-team/siridb-server
 Vcs-Git: https://salsa.debian.org/siridb-team/siridb-server.git

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,8 @@
 	dh_auto_build --sourcedirectory=Release
 	help2man -N -n"time series database server" Release/siridb-server > Release/siridb-server.1
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	$(MAKE) --directory=Release clean
-	dh_auto_clean
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) --directory=Release test
-endif
